org.apache.cassandra.thrift

## Class ThriftServer.ThriftServerType

- java.lang.Object
- - org.apache.cassandra.thrift.ThriftServer.ThriftServerType

- Enclosing class:
    ThriftServer

      public static final class ThriftServer.ThriftServerType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ASYNC`
    `static java.lang.String` | `HSHA`
    `static java.lang.String` | `SYNC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftServerType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYNC

          public static final java.lang.String SYNC

      See Also:
        Constant Field Values

    - #### ASYNC

          public static final java.lang.String ASYNC

      See Also:
        Constant Field Values

    - #### HSHA

          public static final java.lang.String HSHA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThriftServerType

          public ThriftServerType()

Copyright © 2018 The Apache Software Foundation